# HtmlPanelElementClickArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [HtmlPanelElementClickArgs](https://docs.wisej.com/api/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickargs) event handler.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HtmlPanelElementClickArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HtmlPanelElementClickArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) HtmlPanelElementClickArgs()

Initializes a new instance of the [HtmlPanelElementClickArgs](https://docs.wisej.com/api/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickargs) class.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) HtmlPanelElementClickArgs(element, role)

Initializes a new instance of the [HtmlPanelElementClickArgs](https://docs.wisej.com/api/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickargs) class.

| Name        | Type                                                          | Description                                           |
| ----------- | ------------------------------------------------------------- | ----------------------------------------------------- |
| **element** | [String](https://docs.microsoft.com/dotnet/api/system.string) | Outer HTML of the clicked element.                    |
| **role**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | Value of the "role" attribute of the clicked element. |

## Properties

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) Element

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the HTML of the element that was clicked in the [HtmlPanel](https://docs.wisej.com/api/wisej.web/content/htmlpanel) panel.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) Role

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the role attribute assigned to the element that generated the event.

The value in the Role property is taken from the "role" attribute of the clicked element inside the widget.

## Used By

| Name                                                                                                                          | Description                                                                                                                              |
| ----------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [HtmlPanelElementClickHandler](https://docs.wisej.com/api/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickhandler) | Represents the method that will handle the [ElementClick](https://docs.wisej.com/api/wisej.web/content/htmlpanel/..#elementclick) event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
